From: =?utf-8?q?Timo_R=C3=B6hling?= <roehling@debian.org>
Date: Fri, 27 May 2022 23:50:46 +0200
Subject: Add SOVERSION

---
 osrf_testing_tools_cpp/src/memory_tools/CMakeLists.txt | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/osrf_testing_tools_cpp/src/memory_tools/CMakeLists.txt b/osrf_testing_tools_cpp/src/memory_tools/CMakeLists.txt
index be7f216..45eed0a 100644
--- a/osrf_testing_tools_cpp/src/memory_tools/CMakeLists.txt
+++ b/osrf_testing_tools_cpp/src/memory_tools/CMakeLists.txt
@@ -27,7 +27,6 @@ target_include_directories(memory_tools
     $<INSTALL_INTERFACE:include>
 )
 target_link_libraries(memory_tools PRIVATE Backward::Backward)
-
 if(CMAKE_DL_LIBS)
   target_link_libraries(memory_tools PUBLIC ${CMAKE_DL_LIBS})
 endif()
@@ -62,6 +61,11 @@ if (NOT OSRF_TESTING_TOOLS_CPP_DISABLE_MEMORY_TOOLS)
   endif()
 endif()
 
+if(MEMORY_TOOLS_SOVERSION)
+  set_target_properties(memory_tools PROPERTIES SOVERSION ${MEMORY_TOOLS_SOVERSION})
+  set_target_properties(memory_tools_interpose PROPERTIES SOVERSION ${MEMORY_TOOLS_SOVERSION})
+endif()
+
 install(TARGETS memory_tools
   EXPORT memory_tools
   ARCHIVE DESTINATION lib
